LLVM: lldb::SBSymbol Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBSymbol Class Reference

`#include <SBSymbol.h>`

## Public Member Functions
| SBSymbol ()
| ~SBSymbol ()
| SBSymbol (const lldb::SBSymbol &rhs)
const lldb::SBSymbol & | operator= (const lldb::SBSymbol &rhs)
bool | IsValid () const
const char * | GetName () const
const char * | GetMangledName () const
lldb::SBInstructionList | GetInstructions (lldb::SBTarget target)
lldb::SBInstructionList | GetInstructions (lldb::SBTarget target, const char *flavor_string)
SBAddress | GetStartAddress ()
SBAddress | GetEndAddress ()
uint32_t | GetPrologueByteSize ()
SymbolType | GetType ()
bool | operator== (const lldb::SBSymbol &rhs) const
bool | operator!= (const lldb::SBSymbol &rhs) const
bool | GetDescription (lldb::SBStream &description)
bool | IsExternal ()
bool | IsSynthetic ()

## Protected Member Functions
lldb_private::Symbol * | get ()
void | reset (lldb_private::Symbol *)

## Friends
class | SBAddress
class | SBFrame
class | SBModule
class | SBSymbolContext

## Detailed Description

Definition at line 20 of file SBSymbol.h.

## Constructor & Destructor Documentation

lldb::SBSymbol::SBSymbol | ( |  | ) |

lldb::SBSymbol::~SBSymbol | ( |  | ) |

lldb::SBSymbol::SBSymbol | ( | const lldb::SBSymbol & | rhs | ) |

## Member Function Documentation

lldb_private::Symbol* lldb::SBSymbol::get | ( |  | ) |
| protected

bool lldb::SBSymbol::GetDescription | ( | lldb::SBStream & | description | ) |

SBAddress lldb::SBSymbol::GetEndAddress | ( |  | ) |

lldb::SBInstructionList lldb::SBSymbol::GetInstructions | ( | lldb::SBTarget | target | ) |

lldb::SBInstructionList lldb::SBSymbol::GetInstructions | ( | lldb::SBTarget | target,
|  | const char * | flavor_string
| ) |  |

const char* lldb::SBSymbol::GetMangledName | ( |  | ) | const

const char* lldb::SBSymbol::GetName | ( |  | ) | const

uint32_t lldb::SBSymbol::GetPrologueByteSize | ( |  | ) |

SBAddress lldb::SBSymbol::GetStartAddress | ( |  | ) |

SymbolType lldb::SBSymbol::GetType | ( |  | ) |

bool lldb::SBSymbol::IsExternal | ( |  | ) |

bool lldb::SBSymbol::IsSynthetic | ( |  | ) |

bool lldb::SBSymbol::IsValid | ( |  | ) | const

bool lldb::SBSymbol::operator!= | ( | const lldb::SBSymbol & | rhs | ) | const

const lldb::SBSymbol& lldb::SBSymbol::operator= | ( | const lldb::SBSymbol & | rhs | ) |

bool lldb::SBSymbol::operator== | ( | const lldb::SBSymbol & | rhs | ) | const

void lldb::SBSymbol::reset | ( | lldb_private::Symbol * |  | ) |
| protected

## Friends And Related Function Documentation

friend class SBAddress
| friend

Definition at line 93 of file SBSymbol.h.

friend class SBFrame
| friend

Definition at line 94 of file SBSymbol.h.

friend class SBModule
| friend

Definition at line 95 of file SBSymbol.h.

friend class SBSymbolContext
| friend

Definition at line 96 of file SBSymbol.h.

The documentation for this class was generated from the following file:

- SBSymbol.h